Bug 469487 - Upgrade path: hal-info EVR higher in F8 than F9
Upgrade path: hal-info EVR higher in F8 than F9
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal-info (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-01 09:43 EDT by Kevin Kofler
Modified: 2009-07-14 10:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:35:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2008-11-01 09:43:24 EDT
Description of problem:
The Epoch-Version-Release (EVR) of hal-info goes backwards from F8 updates to F9 updates, breaking the upgrade path.

Version-Release number of selected component (if applicable):
hal-info-20080607-2.fc8                   dist-f8-updates       rhughes
hal-info-20080607-1.fc9                   dist-f9-updates       dcbw
(from koji latest-pkg)

How reproducible:
Always

Steps to Reproduce:
1. Upgrade from F8 with updates to F9 with updates.
  
Actual results:
hal-info from F8 still there (as shown by yum list extras and the equivalent Synaptic feature).

Expected results:
hal-info upgraded to F9 version.

Additional info:
The EVR in F9 updates MUST be higher than the EVR in F8 updates. Please push an F9 update with a higher EVR as soon as possible.
Comment 1 Kevin Kofler 2008-11-06 20:22:39 EST
The problem is that the Release tag was incorrectly bumped. It should have been
1%{?dist}.1, not 2%{%dist}. Now there MUST be a F9 upgrade bumping the Release to at least 2%{%dist} even if there are no other changes, there's no other way to fix this. And this bug MUST be fixed, no excuses.

And next time, bump the release version AFTER the disttag (e.g. 1%{?dist}.1, 1%{?dist}.2 etc.) if you make changes to / bump Release on one branch only.
Comment 2 Richard Hughes 2008-11-07 04:44:01 EST
(In reply to comment #1)
> ...there's no other way to fix this

Can't I just upload the version of hal-info in rawhide to F9?

> And this bug MUST be fixed, no excuses.

I wasn't going to make any.

> And next time, bump the release version AFTER the disttag (e.g. 1%{?dist}.1,
> 1%{?dist}.2 etc.) if you make changes to / bump Release on one branch only.

I don't know about dcbw, but I'm really hesitant to upload new packages to F8 anyway, as it's such an old release now, and I don't run it myself anymore.
Comment 3 Kevin Kofler 2008-11-07 05:18:39 EST
> Can't I just upload the version of hal-info in rawhide to F9?

Yes, pushing a package with a higher Version will also fix this.

However, you have to be careful not to introduce a higher EVR in F9 than in Rawhide (otherwise you fix one EVR problem and introduce another), so if you need to make some F9-only changes, make sure you bump Release only after the disttag.
Comment 4 Bug Zapper 2009-06-09 23:08:00 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Kevin Kofler 2009-06-10 01:56:35 EDT
No thanks for not fixing this serious upgrade path issue with a trivial fix in
over 7 months!

hal-info-20080607-2.fc8                   dist-f8-updates       rhughes
hal-info-20080607-1.fc9                   dist-f9-updates       dcbw
hal-info-20090202-1.fc10                  dist-f10-updates      rhughes

F8->F10 and F9->F10 upgrade paths are OK (so it can get closed at F9 EOL), but
F8->F9 is still broken and could be trivially fixed by issuing an F9 update
with an EVR > 20080607-2.fc8 (and < 20090202-1.fc10 or you'll introduce another upgrade path issue).
Comment 6 Bug Zapper 2009-07-14 10:35:44 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.